Name:           perl-MD5
Version:        2.03
Release:        12%{?_dist_release}
Summary:        Perl interface to the MD5 Message-Digest Algorithm
Group:          programming
Vendor:         Project Vine
Distribution:   Vine Linux
License:        GPL+ or Artistic
URL:            https://metacpan.org/pod/MD5
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/MD5-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl

%description
This module (MD5.pm) is just a thin wrapper around the Digest::MD5
module.  It is provided so that legacy code that rely on the old
interface continue to work with the speed benefit of the new module.


%prep
%setup -q -n MD5-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Nov 17 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.03-12
- rebuilt with perl-5.34.0.

* Thu May 16 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.03-11
- rebuilt with perl-5.26.

* Fri Jun 27 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 2.03-10
- build with Perl 5.16

* Sat Mar 26 2011 IWAI, Masaharu <iwai@alib.jp> 2.03-9
- build for Vine Linux

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.03-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.03-7
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.03-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.03-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.03-2.1
Rebuild for new perl

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.03-1.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Wed Oct 25 2006 Andreas Thienemann <andreas@bawue.net> 2.03-1
- Specfile autogenerated by cpanspec 1.69.
